Attribute VB_Name = "Modul_API"
Declare Function GetPrivateProfileString Lib "kernel32" Alias "GetPrivateProfileStringA" (ByVal lpApplicationName As String, lpKeyName As Any, ByVal lpDefault As String, ByVal lpReturnedString As String, ByVal nSize As Integer, ByVal lpFileName As String) As Integer
Declare Function WritePrivateProfileString% Lib "kernel32" Alias "WritePrivateProfileStringA" (ByVal lpApplicationName$, ByVal lpKeyName As Any, ByVal lpString As Any, ByVal lpFileName$)

Public Function GetFromInI(strSectionHeader As String, strVariableName As String, strFileName As String) As String

    Dim strReturn As String
    
    strReturn = String(255, Chr(0))
    GetFromInI = Left$(strReturn, GetPrivateProfileString(strSectionHeader, ByVal strVariableName, "", strReturn, Len(strReturn), strFileName))
    
End Function


Function GetExtension(Filename As String)
    
    Dim PthPos, ExtPos As Integer

    For i = Len(Filename) To 1 Step -1
        If Mid(Filename, i, 1) = "." Then
            ExtPos = i
            For j = Len(Filename) To 1 Step -1

                If Mid(Filename, j, 1) = "\" Then
                    PthPos = j
                    Exit For
                End If
            Next j
            Exit For
        End If
    Next i

    If PthPos > ExtPos Then
        Exit Function
    Else
        If ExtPos = 0 Then Exit Function
        GetExtension = Mid(Filename, ExtPos + 1, Len(Filename) - ExtPos)
    End If
End Function

Sub CreateStandartINI()
    
    Dim INIFile As String
    INIFile = App.Path & "\settings.ini"
    Open INIFile For Output As #1
    Print #1, "[Settings]"
    Print #1, "DefaultFolder=c:\"
    Print #1, "AutoFolder=c:\"
    Print #1, "LoadStandartFolder=0"
    Print #1, "EditorPath="
    Print #1, "EditorName="
    Close #1
        
End Sub

Public Function FileExists(strPath As String) As Integer
    
    FileExists = Not (Dir(strPath) = "")
    
End Function

Public Function AmtInStr(String1 As String, String2 As String) As Long
    Dim Loop1 As Long, Amount As Integer
    Amount% = 0

    For Loop1& = 1 To Len(String1$)

        If InStr(Loop1&, String1$, String2$) <> 0 Then
        Loop1& = InStr(Loop1&, String1$, String2$)
        Amount% = Amount% + 1
    End If


    DoEvents
    Next Loop1&
    AmtInStr& = Amount%
End Function
